@media screen and (min-width: 768px) {
    .container {
        width: 760px;
        margin: 0 auto;
    }

    .m100 {
        margin: 100px 0;
    }

    .m80 {
        margin: 80px 0;
    }

    .m60 {
        margin: 60px 0;
    }

    .m50 {
        margin: 50px 0;
    }

    .p100 {
        padding: 100px 0;
    }

    .p80 {
        padding: 80px 0;
    }

    .p60 {
        padding: 60px 0;
    }

    .p50 {
        padding: 50px 0;
    }

    .ps30 {
        padding: 30px;
    }

    .grid {
        gap: 30px;
    }

    .grid2 {
        grid-template-columns: repeat(2, 1fr);
    }

    /* reset */
    /* footer */
    .footer-menu {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .footer-contact {
        flex-direction: row;
        justify-content: space-between;
    }

    .footer-contact-list {
        gap: 30px;
    }

    .footer-imglist {
        gap: 30px;
    }

    .footer-bottom {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .footer-bottom-list {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    /* footer */
    /* layout */
    /* section-product */
    .section-product-warp {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 30px;
    }

    .section-product-list-item {
        flex-direction: row-reverse;
    }

    /* section-product */
    /* section-case */
    .section-case-grid {
        gap: 60px;
    }

    .section-case-card {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .section-case-card .section-case-img {
        width: 400px;
    }

    /* section-case */
    /* section-contact */
    .section-contact-card {
        padding: 30px;
    }

    /* section-contact */
    /* layout */
    /* about */

    /* about */

    /* single */
    .page-content {
        margin-top: 70px;
    }

    /* single */
    /* contact */

    /* contact */
    /* page-banner */
    .page-banner-title {
        font-size: 70px;
        line-height: 98px;
        padding: 50px 0 120px 0;
    }

    /* page-banner */
    /* index-blog */
    .index-blog-header{
        margin-bottom: 60px;
    }
    .index-blog-title>p {
        font-size: 32px;
    }
    .section-tech-news-li{
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    .section-tech-news-item{
        width: 550px;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    .section-tech-news-item .img{
        width: 200px;
    }
    .section-industry-news-card .img time{
        top: 30px;
        left: 30px;
    }
    /* index-blog */
}

@media screen and (min-width: 1200px) {
    .container {
        width: 1170px;
    }

    .grid3 {
        grid-template-columns: repeat(3, 1fr);
    }

    .grid4 {
        grid-template-columns: repeat(4, 1fr);
    }

    .grid5 {
        grid-template-columns: repeat(5, 1fr);
    }

    .grid6 {
        grid-template-columns: repeat(6, 1fr);
    }

    .ps40 {
        padding: 40px;
    }

    .ps50 {
        padding: 50px;
    }

    .ps60 {
        padding: 60px;
    }

    .ps80 {
        padding: 80px;
    }

    /* reset */
    /* layout */
    /* slider */
    .slider {
        padding: 250px 0;
    }

    .slider-header {
        margin-bottom: 80px;
    }

    .slider-title {
        font-size: 70px;
        line-height: 98px;
    }

    .slider-desc {
        font-size: 20px;
        line-height: 28px;
    }

    /* slider */
    /* section-header */
    .section-header {
        max-width: 960px;
        margin: 0 auto 60px auto;
    }

    /* section-header */
    /* section-product */
    .section-product-warp {
        flex-direction: row-reverse;
    }

    .section-product-list {
        width: 745px;
    }

    .section-product-list a {
        gap: 30px;
        justify-content: space-between;
        align-items: center;
    }

    .section-product-list-item .section-product-text {
        width: 300px;
    }

    .section-product-list-item:nth-child(2) {
        flex-direction: row;
    }

    .section-product-main {
        width: 625px;
    }

    /* section-product */
    /* section-case */
    .section-case-card .section-case-img {
        width: 660px;
    }

    .section-case-card:last-child {
        flex-direction: row-reverse;
    }

    .section-case-category {
        margin-bottom: 60px;
    }

    .section-case-text p {
        margin-bottom: 60px;
    }

    .section-case-btn {
        margin-top: 80px;
    }

    /* section-case */
    /* section-contact */
    .section-contact-card {
        padding: 40px 60px;
    }

    /* section-contact */
    /* layout */
    /* footer */
    .footer-menu-list {
        gap: 50px;
    }

    .footer-contact-list {
        gap: 100px;
    }

    .footer-imglist {
        gap: 80px;
    }

    /* footer */
    /* page-banner */

    /* page-banner */
    /* page */
    .page {
        flex-direction: row-reverse;
        justify-content: space-between;
        gap: 30px;
    }

    .sidebar {
        width: 25%;
        align-self: start;
    }

    /* page */
    /* toppro */
    .toppro-content {
        flex-direction: row;
        align-items: center;
    }

    .toppro-img {
        width: 50%;
    }

    /* toppro */
    /* about */

    /* about */
    /* contact */

    /* contact */
    /* single */

    /* single */
    /* contact */
    .contact {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .contact-card .icon {
        margin-bottom: 60px;
    }

    .contact-form {
        grid-template-columns: repeat(2, 1fr);
        width: 685px;
        align-self: stretch;
    }

    .contact-form-title {
        margin-bottom: 50px;
    }

    .contact-form form {
        gap: 30px;
    }

    .contact-form form textarea {
        grid-column: span 2;
    }

    .form-btn {
        grid-column: span 2;
    }

    /* contact */
}

@media screen and (min-width: 1400px) {
    .container {
        width: 1370px;
    }

    /* reset */
}